From 74c8ae42805ba15665bea845ce25c10b563fec9e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 01:57:12 +0000
Subject: [PATCH 1495/2232] Merge pull request #501 from dtolnay/tidy


Run clang-tidy in CI
---

diff --git a/.clang-tidy b/.clang-tidy
new file mode 100644
index 0000000..b917995
--- /dev/null
+++ b/.clang-tidy
@@ -0,0 +1,18 @@
+Checks:
+  clang-analyzer-*,
+  clang-diagnostic-*,
+  cppcoreguidelines-*,
+  modernize-*,
+  -cppcoreguidelines-avoid-magic-numbers,
+  -cppcoreguidelines-macro-usage,
+  -cppcoreguidelines-owning-memory,
+  -cppcoreguidelines-pro-bounds-array-to-pointer-decay,
+  -cppcoreguidelines-pro-type-const-cast,
+  -cppcoreguidelines-pro-type-member-init,
+  -cppcoreguidelines-pro-type-reinterpret-cast,
+  -cppcoreguidelines-special-member-functions,
+  -modernize-use-default-member-init,
+  -modernize-use-equals-default,
+  -modernize-use-override,
+  -modernize-use-trailing-return-type,
+HeaderFilterRegex: cxx\.h
